cmake_minimum_required(VERSION 2.6)
project(spmod_widgets)

set(spmod_widgets_SRCS
	mod_widgets.cpp
	base_widget.h
	slider.h
	slider.cpp
	linear2exp.h
	checkbox.h
	checkbox.cpp
	filepicker.h
	filepicker.cpp
	choice.h
	choice.cpp
	collapsible.h
	collapsible.cpp
	button.h
	button.cpp
)

add_library (spmod_widgets MODULE ${spmod_widgets_SRCS})
target_link_libraries(spmod_widgets spcore)
#target_link_libraries(mod_widgets widgets_base)
target_link_libraries(spmod_widgets ${wxWidgets_LIBRARIES})

INSTALL (TARGETS spmod_widgets RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})